/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.WcDetalleRequisicionProducto;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface WcDetalleRequisicionProductoFacadeLocal {

    void create(WcDetalleRequisicionProducto wcDetalleRequisicionProducto);

    void edit(WcDetalleRequisicionProducto wcDetalleRequisicionProducto);

    void remove(WcDetalleRequisicionProducto wcDetalleRequisicionProducto);

    WcDetalleRequisicionProducto find(Object id);

    List<WcDetalleRequisicionProducto> findAll();

    List<WcDetalleRequisicionProducto> findRange(int[] range);

    int count();

}
